package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Sep;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SepMapper {

    int insert(Sep record);

    int insertSelective(Sep record);

    int updateByPrimaryKeySelective(Sep record);

    int updateByPrimaryKey(Sep record);

    int deleteByPrimaryKey(Sep record);

    int deleteByIds(Collection<Object> collection);

    Sep selectByPrimaryKey(Sep record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Sep> dyncRead(Map<String,Object> dyncMap);

    List<String> getInrBySrctrninr(String trninr);

    int deleteBySrctrninr(String trninr);

    int updateDontrninrByDontrninr(String dontrninr);

    int updateDeltrninrByDeltrninr(String deltrninr);

}